// JavaScript Document
const Cuentas_Ing = () => $("#Panel").load("Cuentas/Cuentas.php");

const Alta_Usr = () => $("#Admin_Panel").load("Cuentas/New_Cuenta.php");
const PerAuto = () => $("#Admin_Panel").load("Cuentas/Lista_Autorizados.php");
const Gen_Contra = () =>
  $("#Contrasena").load("Cuentas/Procesos.php", { Opc: 0 });

const Alta_Reg = () => {
  let Log_in_ = document.getElementById("Log_in").value;
  let Contrasena_ = document.getElementById("Contrase").value;
  if (Contrasena_.length > 7 || Log_in_.length >= 5) {
    $.ajax({
      url: "Cuentas/Alta_Usuario.php",
      type: "POST",
      data: $("#Alta_Usuarios").serialize(),
      success: function (response) {
        Espera_Pan();
        $("#Msg_E").html("<h3>" + response + "</h3>");
      },
      error: function (error) {
        console.log(error);
      },
    });
  } else {
    alert("¡¡ Falta la captura de campos importantes !!");
  }
};

function Espera_Pan() {
  setTimeout("Cuentas_Ing()", 5000);
}

const List_Usr = () => $("#Admin_Panel").load("Cuentas/Lista_Cuentas.php");

const Salida = () => (window.location.href = "../Salir.php");

const Dat_Gen = (Opc_) => {
  $(".Tab1").load("Pantalla_Inicio/Ovinos.php", { Opc: Opc_ });
};

const Act_Mun = (Opc_) => {
  let Fecha_Ini_ = document.getElementById("F_inicio").value;
  let Fecha_Fin_ = document.getElementById("F_final").value;
  $("#Munici").load("../Operaciones/Operaciones.php", {
    Opc: 1,
    Merc: Opc_,
    F_Ini: Fecha_Ini_,
    F_Fin: Fecha_Fin_,
  });
};

const Bus_reg = (Opc_) => {
  let Fecha_Ini_ = document.getElementById("F_inicio").value;
  let Fecha_Fin_ = document.getElementById("F_final").value;
  let Municipio_ = document.getElementById("Muni").value;
  $("#Pantalla_R").load("Resultado.php", {
    Opc: Opc_,
    F_Ini: Fecha_Ini_,
    F_Fin: Fecha_Fin_,
    Muni: Municipio_,
  });
};

const View_Fol = (Id_Reg) => {
  window.open("Visualiza.php?Fol=" + Id_Reg + "&Folio=" + Math.random());
};
// * * * Folios * * *
const Hist_Fol = () => $("#Panel").load("Pantalla_Folios/Folios.php");

const Fol_Gen = () =>
  $(".Tab1").load("../Operaciones/Operaciones.php", { Opc: 4 });

const Fol_Bus = () => $(".Tab1").load("Pantalla_Folios/Bus_Folios.php");

const Bus_folio = () => {
  let Folio_ = document.getElementById("Camp_folio").value;
  $("#Pantalla_R").load("Presenta_Folios.php", { Folio: Folio_ });
};

const Dat_Arete = () => $(".Tab1").load("Bus_Aretes.php");

const Bus_Mpio = (Mpio) => {
  $("#Sub_Panel").load("../Operaciones/Operaciones.php", {
    Opc: 5,
    Mpio: Mpio,
  });
  showModal();
};

const Fol_Hist = () => $(".Tab1").load("Status_Fol.php");

const Status_Fol = (Status) => {
  let Muni_ = document.getElementById("Muni").value;
  $("#Pantalla_R").load("../Operaciones/Operaciones.php", {
    Opc: 6,
    Muni: Muni_,
    Status: Status,
  });
};
const Reset_Fol = (Folio) => {
  let Segu_ = confirm("¿! Se encuentra seguro de resetear folio ¡?");
  if (Segu_ == true) {
    $("#Pantalla_R").load("../Operaciones/Operaciones.php", {
      Opc: 7,
      Folio: Folio,
    });
  }
};

const Cancel_Fol = (Folio) => {
  let Segu_ = confirm("¿! Se encuentra seguro de Cancelar folio ¡?");
  if (Segu_ == true) {
    $("#Pantalla_R").load("../Operaciones/Operaciones.php", {
      Opc: 8,
      Folio: Folio,
    });
  }
};

// * * * Fin Folios * * *

function CloseModal() {
  document.getElementById("SubPantalla").style.display = "none";
}
function showModal() {
  document.getElementById("SubPantalla").style.display = "block";
}

const Fol_Aviso = () => {
  $(".Tab1").load("Reporte_Folios.php");
};

const Bus_Rep = () => {
  let Reg_ = document.getElementById("List_Folios").value;
  $("#Registro").load("Lista_Reportados.php", { Opc: 0, Rep: Reg_ });
};
const Procesar = (Rep, Sol) => {
  if (Sol == 3) {
    alert("Val" + Rep + " Soli " + Sol);
  } else {
    let Alerta = confirm("!!¿ Esta seguro de Realizar la Operación ? ¡¡");
    if (Alerta == true) {
      $("#Registro").load("Lista_Reportados.php", {
        Opc: 1,
        Rep: Rep,
        Sol: Sol,
      });
    }
  }
};

const Fol_Graf = () => {
  $(".Tab1").load("Estadistica.php");
};

const Graf_Gen = () => {
  let Reg_ = document.getElementById("Muni_");
  let Anio_ = document.getElementById("Anio_U").value;
  let Mun_ = [];
  for (let i = 0; i < Reg_.options.length; i++) {
    if (Reg_.options[i].selected === true) {
      Mun_.push(parseInt(Reg_.options[i].value));
    }
  }
  if (Mun_.length > 0) {
    let Municipios_ = JSON.stringify(Mun_);
    window.open(
      "Grafica_Port.php?Lista=" +
        Municipios_ +
        "&Anio=" +
        Anio_ +
        "&Rut=" +
        Math.random()
    );
  } else {
    alert("!! Se debe de seleccionar un Municipio o AGL ¡¡");
  }
};

const Graf_Com = () => {
  let Reg_ = document.getElementById("Muni_");
  let Anio_U = document.getElementById("Anio_U").value;
  let Anio_D = document.getElementById("Anio_D").value;
  let Mun_ = [];
  for (let i = 0; i < Reg_.options.length; i++) {
    if (Reg_.options[i].selected === true) {
      Mun_.push(parseInt(Reg_.options[i].value));
    }
  }

  if (Anio_U != Anio_D) {
    let Municipios_ = JSON.stringify(Mun_);
    window.open(
      "Grafica_Master.php?Lista=" +
        Municipios_ +
        "&Anio_U=" +
        Anio_U +
        "&Rut=" +
        Math.random() +
        "&Anio_D=" +
        Anio_D
    );
  } else {
    alert("!! Favor de seleccionar Años Distintos ¡¡");
  }
};

const Bus_Arete = () => {
  let Nom_A_ = document.getElementById("Camp_Arete").value;
  if (Nom_A_.length < 10) {
    alert("!! El arete debe de tener 10 caracteres ¡¡");
  } else {
    $("#Pantalla_R").load("Aretes_Rep.php", { Opc: 1, Nom_A: Nom_A_ });
  }
};

function showModal_Up() {
  let Log_in_ = document.getElementById("Log_in").value;
  document.getElementById("SubPantalla").style.display = "block";
  $("#Sub_Panel").load("Updates_F/Subir_Log.php", { Log_in: Log_in_ });
}

const Alt_Gana = () => $("#Panel").load("Alta_Ganaderas.php");

const Elimina_Reg = (Reg) => {
  let Resp_ = confirm(
    "Se encuentra seguro de eliminar \n de la lista la Ganadera ?"
  );
  if (Resp_ == true) {
    $.ajax({
      url: "../Ganadera/Procesos.php",
      type: "POST",
      async: true,
      data: { Opc: 2, Reg: Reg },
      success: function (response) {
        if (response == 1) {
          $(".Msg_Tit").html("!! Se elimino Correctamente ¡¡");
          window.location.href = "#Inicio";
          setTimeout("Alt_Gana()", 2500);
        } else {
          $(".Msg_Tit").html("!! Se tiene problemas ¡¡");
        }
      },
      error: function (error) {
        console.log(error);
      },
    });
  }
};

const New_Gana = () => {
  let Nomb_Gan_ = document.getElementById("Nom_Gan").value;
  if (Nomb_Gan_.length == 0) {
    alert("Favor de Capturar nombre de la Ganadera..!!");
  } else {
    $.ajax({
      url: "../Ganadera/Procesos.php",
      type: "POST",
      async: true,
      data: { Opc: 1, Nombre: Nomb_Gan_ },
      success: function (response) {
        if (response == 1) {
          $(".Msg_Tit").html("!! Se Agrego Correctamente ¡¡");
          window.location.href = "#Inicio";
          setTimeout("Alt_Gana()", 3000);
        } else {
          $(".Msg_Tit").html(
            "!! Se tiene problemas \n O Ganadera ya existente ¡¡"
          );
          setTimeout("Alt_Gana()", 2500);
        }
      },
      error: function (error) {
        console.log(error);
      },
    });
  }
};

const EditarUsr = (NumReg) => {
  $("#Sub_Panel").load("../Admin/Cuentas/Edit_Cuenta.php", { idReg: NumReg });
  showModal();
};
const DelUsr = (NumReg) =>
  alert("!! Consultar con el Administrador para su confirmación ¡¡");

const ActUsr = (NumReg) => {
  let Log_in_ = document.getElementById("Log_in").value;
  let Contrasena_ = document.getElementById("Contrase").value;
  if (Log_in_.length >= 5) {
    let Id_Mun = document.getElementById("List_Municipios").value;
    let Descrip = document.getElementById("Descrip").value;
    $.ajax({
      url: "Cuentas/Act_Usuario.php",
      type: "POST",
      data: {
        IdReg: NumReg,
        List_Municipios: Id_Mun,
        hi_Origen: Id_Mun,
        Log_in: Log_in_,
        Descrip: Descrip,
        Contrase: Contrasena_,
      },
      success: function (response) {
        Espera_Pan();
        $("#Msg_E").html("<h3>" + response + "</h3>");
      },
      error: function (error) {
        console.log(error);
      },
    });
  } else {
    alert("¡¡ Falta la captura de campos importantes !!");
  }
};

const Fol_Inicio = () =>
  $(".Tab1").load("../Operaciones/Operaciones.php", { Opc: 9 });

const iniGuia = (Id, Coor) => {
  let Valor_ = document.getElementsByName("Fol_Pro")[Coor].value;
  $.ajax({
    url: "../Operaciones/Operaciones.php",
    type: "POST",
    data: { Opc: 10, Id: Id, Fol: Valor_ },
    success: function (response) {
      $(".Tab1").load("../Operaciones/Operaciones.php", { Opc: 9 });
    },
    error: function (error) {
      console.log(error);
    },
  });
};

const AddAuto = (Id) => {
  $("#Sub_Panel").load("../Admin/Cuentas/Alta_Autorizado.php", { idReg: Id });
  showModal();
};

const CartaOfic = (Id) => {
  window.open("Cuentas/Carta_Resp.php?Id_Reg=" + Id);
};
const EditarAut = (Id) => {
  $("#Sub_Panel").load("../Admin/Cuentas/Pers_Autorizado.php", { idReg: Id });
  showModal();
};

const ActAut = (Id) => {
  let Apellido_P_ = document.getElementById("A_Paterno").value;
  let Apellido_M_ = document.getElementById("A_Materno").value;
  let Nombre_ = document.getElementById("Nombre").value;
  if (
    Apellido_P_.length != 0 ||
    Apellido_M_.length != 0 ||
    Nombre_.leght != 0
  ) {
    let Resp_ = confirm("Se encuentra seguro de Actualizar registro ??");
    if (Resp_ == true) {
      $.ajax({
        url: "Cuentas/Autorizados.php",
        type: "POST",
        data: $("#Edit_Auto").serialize(),
        success: function (response) {
          console.log(response);
          //Espera_Pan();
          //$('#Msg_E').html('<h3>'+response+'</h3>');
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  } else {
    alert("¡¡ Falta la captura de campos importantes * !!");
  }
};

const AddPerAut = (Id) => {
  let Apellido_P_ = document.getElementById("A_Paterno").value;
  let Apellido_M_ = document.getElementById("A_Materno").value;
  let Nombre_ = document.getElementById("Nombre").value;
  if (
    Apellido_P_.length != 0 ||
    Apellido_M_.length != 0 ||
    Nombre_.leght != 0
  ) {
    let Resp_ = confirm("Se encuentra seguro de Agregar registro ??");
    console.log("Paso");
    if (Resp_ == true) {
      $.ajax({
        url: "Cuentas/Autorizados.php",
        type: "POST",
        data: $("#Add_Auto").serialize(),
        success: function (response) {
          console.log(response);
          PerAuto();
          CloseModal();
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  } else {
    alert("¡¡ Falta la captura de campos importantes * !!");
  }
};

const BajaAut = (Id) => {
  let Resp_ = confirm("Se encuentra seguro de Desactivar Usuario ??");
  if (Resp_ == true) {
    $("#Msg").load("../Admin/Cuentas/Autorizados.php", { Opc: 3, Id_Reg: Id });
    PerAuto();
  }
};

const detaFol = (Mun_) => {
  $(".Tab1").load("../Admin/DetalleFolios.php", { Mun: Mun_ });
};
const presFolio = (Fol) => {
  $(".MenuS").load("Presenta_Folios.php", { Folio: Fol });
};
const Fol_Autoriza = () =>
  $(".Tab1").load("../Operaciones/Operaciones.php", { Opc: 11 });

function AutoBlock(Mun, ActBlo) {
  console.log("Municipio es:", Mun, "Status Bloc", ActBlo);
  let ActBlo_ = ActBlo == 1 ? 0 : 1,
    Msg_ = ActBlo == 1 ? "- Bloquear Guias -" : "- Des-Bloquear Guias -",
    Resp_ = confirm("Se encuentra seguro de \n " + Msg_ + "..?");
  if (Resp_) {
    $.ajax({
      url: "../Operaciones/Operaciones.php",
      type: "POST",
      data: { Opc: 12, Mun: Mun, ActBlo: ActBlo_ },
      success: function (response) {
        console.log(response);
        $(".Tab1").load("../Operaciones/Operaciones.php", { Opc: 11 });
      },
      error: function (error) {
        console.log(error);
      },
    });
  }
}
